Save draft
/v1/mailboxes/{mailbox_id}/drafts/{draft_id}Creates or updates a draft with the given draft_id. Generate a UUID for a new draft and reuse it for subsequent saves. You can continue the draft on another device by signing into the same mailbox.
Authentication and access · Errors and retries
Request
curl -X PUT 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/drafts/<draft_id>' \ -H 'Authorization: Bearer <access_token>' \ -H 'Content-Type: application/json' \Parameters
mailbox_idpathNecessarilyintegerdraft_idpathNecessarilystring · uuidX-Customer-IDheader- Option 1
stringOption 2null
Request body · application/json
object
toarrayAddresses of the main recipients.
maxItems: 50Array elementsstringccarrayCopy recipient addresses that are visible to other participants.
maxItems: 50Array elementsstringbccarrayBcc recipient addresses.
maxItems: 50Array elementsstringsubjectstringSubject of the message.
Default:
""maxLength: 998textstringThe text of the message without formatting.
Default:
""maxLength: 200000htmlHTML-formatted version of the message.
Option 1stringmaxLength: 300000Option 2nullfile_idsarrayID previously downloaded files in this mailbox. Get them when downloading or from the list of files.
maxItems: 20Array elementsstring · uuidforward_messageThe original email whose attachments need to be forwarded.
Option 1objectfolderNecessarilystringFolder name from the folder list, for example INBOX.
minLength: 1maxLength: 255uidvalidityNecessarilyintegerThe value is uidvalidity from the response API for this folder.
exclusiveMinimum: 0uidNecessarilyintegerexclusiveMinimum: 0
Unknown fields are not accepted.
Option 2nullreply_to_message_idThe message_id value of the email you are replying to.
Option 1stringmaxLength: 998Option 2nullreferencesThe value references of the original message to save the reply chain.
Option 1stringmaxLength: 4000Option 2nullsend_atDelayed dispatch time with time zone, for example 2026-11-01T12:00:00Z. Without a value, dispatch begins as the queue is processed.
Option 1string · date-timeOption 2null
Unknown fields are not accepted.
Responses
200 Successful response
application/json
object
idstring · uuid
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject